/*
 **
 ** Source file generated on June 2, 2023 at 15:42:27.	
 **
 ** Copyright (C) 2011-2023 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** TWI2 (SCL, SDA)
 ** USBC0 (CLK, DATA0, DATA1, DATA2, DATA3, DATA4, DATA5, DATA6, DATA7, DIR, NXT, STOP)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** PA14, PA15, PF03, PF04, PF05, PF06, PF07, PF08, PF09, PF10, PF11, PF12, PF13,
 ** PF14
 */

#include <sys/platform.h>
#include <stdint.h>

#define TWI2_SCL_PORTA_MUX  ((uint32_t) ((uint32_t) 0<<28))
#define TWI2_SDA_PORTA_MUX  ((uint32_t) ((uint32_t) 0<<30))
#define USBC0_CLK_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<28))
#define USBC0_DATA0_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<26))
#define USBC0_DATA1_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<24))
#define USBC0_DATA2_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<22))
#define USBC0_DATA3_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<20))
#define USBC0_DATA4_PORTF_MUX  ((uint16_t) ((uint16_t) 2<<14))
#define USBC0_DATA5_PORTF_MUX  ((uint16_t) ((uint16_t) 2<<12))
#define USBC0_DATA6_PORTF_MUX  ((uint16_t) ((uint16_t) 2<<10))
#define USBC0_DATA7_PORTF_MUX  ((uint16_t) ((uint16_t) 2<<8))
#define USBC0_DIR_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<18))
#define USBC0_NXT_PORTF_MUX  ((uint32_t) ((uint32_t) 2<<16))
#define USBC0_STOP_PORTF_MUX  ((uint16_t) ((uint16_t) 2<<6))

#define TWI2_SCL_PORTA_FER  ((uint32_t) ((uint32_t) 1<<14))
#define TWI2_SDA_PORTA_FER  ((uint32_t) ((uint32_t) 1<<15))
#define USBC0_CLK_PORTF_FER  ((uint32_t) ((uint32_t) 1<<14))
#define USBC0_DATA0_PORTF_FER  ((uint32_t) ((uint32_t) 1<<13))
#define USBC0_DATA1_PORTF_FER  ((uint32_t) ((uint32_t) 1<<12))
#define USBC0_DATA2_PORTF_FER  ((uint32_t) ((uint32_t) 1<<11))
#define USBC0_DATA3_PORTF_FER  ((uint32_t) ((uint32_t) 1<<10))
#define USBC0_DATA4_PORTF_FER  ((uint16_t) ((uint16_t) 1<<7))
#define USBC0_DATA5_PORTF_FER  ((uint16_t) ((uint16_t) 1<<6))
#define USBC0_DATA6_PORTF_FER  ((uint16_t) ((uint16_t) 1<<5))
#define USBC0_DATA7_PORTF_FER  ((uint16_t) ((uint16_t) 1<<4))
#define USBC0_DIR_PORTF_FER  ((uint32_t) ((uint32_t) 1<<9))
#define USBC0_NXT_PORTF_FER  ((uint32_t) ((uint32_t) 1<<8))
#define USBC0_STOP_PORTF_FER  ((uint16_t) ((uint16_t) 1<<3))

int32_t adi_initpinmux(void);

/*
 * Initialize the Port Control MUX and FER Registers
 */
int32_t adi_initpinmux(void) {
    /* PORTx_MUX registers */
    *pREG_PORTA_MUX = TWI2_SCL_PORTA_MUX | TWI2_SDA_PORTA_MUX;
    *pREG_PORTF_MUX = USBC0_CLK_PORTF_MUX | USBC0_DATA0_PORTF_MUX
     | USBC0_DATA1_PORTF_MUX | USBC0_DATA2_PORTF_MUX | USBC0_DATA3_PORTF_MUX
     | USBC0_DATA4_PORTF_MUX | USBC0_DATA5_PORTF_MUX | USBC0_DATA6_PORTF_MUX
     | USBC0_DATA7_PORTF_MUX | USBC0_DIR_PORTF_MUX | USBC0_NXT_PORTF_MUX
     | USBC0_STOP_PORTF_MUX;

    /* PORTx_FER registers */
    *pREG_PORTA_FER = TWI2_SCL_PORTA_FER | TWI2_SDA_PORTA_FER;
    *pREG_PORTF_FER = USBC0_CLK_PORTF_FER | USBC0_DATA0_PORTF_FER
     | USBC0_DATA1_PORTF_FER | USBC0_DATA2_PORTF_FER | USBC0_DATA3_PORTF_FER
     | USBC0_DATA4_PORTF_FER | USBC0_DATA5_PORTF_FER | USBC0_DATA6_PORTF_FER
     | USBC0_DATA7_PORTF_FER | USBC0_DIR_PORTF_FER | USBC0_NXT_PORTF_FER
     | USBC0_STOP_PORTF_FER;
    return 0;
}

